Как подружить bootstrap 3 & Internet Explorer 8?

Возможно кто-то сталкивался с проблемой отображения сетки bootstrap под Internet Explorer. Был бы очень благодарен за наводку, а то копание сети в течении 3 суток ни к чему особо результативному не привело.

Заранее большое спасибо.
  • Вопрос задан
  • 12969 просмотров
Пригласить эксперта
Ответы на вопрос 4
iiil
@iiil
Инженер и вэб-дизайнер, рисую.
Так вроде бы ведь восьмерка поддерживается третьим бутстрапом, нет? Может сверстали неверно, что именно отображается неверно?
Ответ написан
iiil
@iiil
Инженер и вэб-дизайнер, рисую.
www.oneskyapp.com/docs/bootstrap/ru/getting-starte...
Internet Explorer 8 и 9

Internet Explorer 8 и 9 также поддерживаются, однако, необходимо учитывать, что многие свойства CSS3 - например, закругленные углы и тени - не поддерживаются IE8. placeholder атрибута также не поддерживается ни в одной из этих версий.

Кроме того, Internet Explorer 8 требует использования respond.js для включения поддержки запросов СМИ


СМИ - это так у них медиа-запросы видимо переведены :)
Ответ написан
@Leagnus
А Вы зайдите в код не-минимизированного bootstrap.css:
колонки, сделанные с пом. суфиксов -sm-*, -md-*, -lg-* инкапсулированы в @media-запросы, которые поддерживаются только с IE9.
Одно решение – допишите к вашим колонкам добавочные модификаторы с -xs-*.
Другое – условные комментарии
<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->

и использование стилей типа
.lt-ie8 {...}
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы